/**
 * Created by lcg on 16/9/19.
 */

'use strict';

import { NativeModules } from 'react-native';

/**
 * get file md5 string
 * @param filepath
 * @returns {Promise}
 */
export default function(filepath){
    return new Promise((resolve,reject) => {
        NativeModules.FileMD5.getFileMD5(filepath,(error,md5) => {
            if(error){
                reject(error);
            }
            else {
                resolve(md5);
            }
        });
    });
}